Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ChunkProviderGenerate

    java.lang.Object
      net.minecraft.src.ChunkProviderGenerate

All Implemented Interfaces:
  IChunkProvider

    public class ChunkProviderGenerate

extends Object
implements IChunkProvider

Field Summary
`NoiseGeneratorOctaves` | `mobSpawnerNoise`
`NoiseGeneratorOctaves` | `noiseGen5` A NoiseGeneratorOctaves used in generating terrain
`NoiseGeneratorOctaves` | `noiseGen6` A NoiseGeneratorOctaves used in generating terrain

Constructor Summary
`ChunkProviderGenerate(World par1World, long par2, boolean par4)`

Method Summary
`boolean` | `canSave()` Returns if the IChunkProvider supports saving.
`boolean` | `chunkExists(int par1, int par2)` Checks to see if a chunk exists at x, y
`ChunkPosition` | `findClosestStructure(World par1World, String par2Str, int par3, int par4, int par5)` Returns the location of the closest structure of the specified type.
`void` | `func_82695_e(int par1, int par2)`
`void` | `generateTerrain(int par1, int par2, byte[] par3ArrayOfByte)` Generates the shape of the terrain for the chunk though its all stone though the water is frozen if the temperature is low enough
`int` | `getLoadedChunkCount()`
`List` | `getPossibleCreatures(EnumCreatureType par1EnumCreatureType, int par2, int par3, int par4)` Returns a list of creatures of the specified type that can spawn at the given location.
`Chunk` | `loadChunk(int par1, int par2)` loads or generates the chunk at the chunk location specified
`String` | `makeString()` Converts the instance data to a readable string.
`void` | `populate(IChunkProvider par1IChunkProvider, int par2, int par3)` Populates chunk with ores etc etc
`Chunk` | `provideChunk(int par1, int par2)` Will return back a chunk, if it doesn't exist and its not a MP client it will generates all the blocks for the specified chunk from the map seed and chunk seed
`void` | `replaceBlocksForBiome(int par1, int par2, byte[] par3ArrayOfByte, BiomeGenBase[] par4ArrayOfBiomeGenBase)` Replaces the stone that was placed in with blocks that match the biome
`boolean` | `saveChunks(boolean par1, IProgressUpdate par2IProgressUpdate)` Two modes of operation: if passed true, save all Chunks in one go.
`boolean` | `unload100OldestChunks()` Unloads the 100 oldest chunks from memory, due to a bug with chunkSet.add() never being called it thinks the list is always empty and will not remove any chunks.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### noiseGen5

    public NoiseGeneratorOctaves noiseGen5

  A NoiseGeneratorOctaves used in generating terrain

### noiseGen6

    public NoiseGeneratorOctaves noiseGen6

  A NoiseGeneratorOctaves used in generating terrain

### mobSpawnerNoise

    public NoiseGeneratorOctaves mobSpawnerNoise

Constructor Detail

### ChunkProviderGenerate

    public ChunkProviderGenerate(World par1World,
                                 long par2,
                                 boolean par4)

Method Detail

### generateTerrain

    public void generateTerrain(int par1,
                                int par2,
                                byte[] par3ArrayOfByte)

  Generates the shape of the terrain for the chunk though its all stone though the water is frozen if the temperature is low enough

### replaceBlocksForBiome

    public void replaceBlocksForBiome(int par1,
                                      int par2,
                                      byte[] par3ArrayOfByte,
                                      BiomeGenBase[] par4ArrayOfBiomeGenBase)

  Replaces the stone that was placed in with blocks that match the biome

### loadChunk

    public Chunk loadChunk(int par1,
                           int par2)

  loads or generates the chunk at the chunk location specified

  Specified by:
    `loadChunk` in interface `IChunkProvider`

### provideChunk

    public Chunk provideChunk(int par1,
                              int par2)

  Will return back a chunk, if it doesn't exist and its not a MP client it will generates all the blocks for the specified chunk from the map seed and chunk seed

  Specified by:
    `provideChunk` in interface `IChunkProvider`

### chunkExists

    public boolean chunkExists(int par1,
                               int par2)

  Checks to see if a chunk exists at x, y

  Specified by:
    `chunkExists` in interface `IChunkProvider`

### populate

    public void populate(IChunkProvider par1IChunkProvider,
                         int par2,
                         int par3)

  Populates chunk with ores etc etc

  Specified by:
    `populate` in interface `IChunkProvider`

### saveChunks

    public boolean saveChunks(boolean par1,
                              IProgressUpdate par2IProgressUpdate)

  Two modes of operation: if passed true, save all Chunks in one go. If passed false, save up to two chunks. Return true if all chunks have been saved.

  Specified by:
    `saveChunks` in interface `IChunkProvider`

### unload100OldestChunks

    public boolean unload100OldestChunks()

  Unloads the 100 oldest chunks from memory, due to a bug with chunkSet.add() never being called it thinks the list is always empty and will not remove any chunks.

  Specified by:
    `unload100OldestChunks` in interface `IChunkProvider`

### canSave

    public boolean canSave()

  Returns if the IChunkProvider supports saving.

  Specified by:
    `canSave` in interface `IChunkProvider`

### makeString

    public String makeString()

  Converts the instance data to a readable string.

  Specified by:
    `makeString` in interface `IChunkProvider`

### getPossibleCreatures

    public List getPossibleCreatures(EnumCreatureType par1EnumCreatureType,
                                     int par2,
                                     int par3,
                                     int par4)

  Returns a list of creatures of the specified type that can spawn at the given location.

  Specified by:
    `getPossibleCreatures` in interface `IChunkProvider`

### findClosestStructure

    public ChunkPosition findClosestStructure(World par1World,
                                              String par2Str,
                                              int par3,
                                              int par4,
                                              int par5)

  Returns the location of the closest structure of the specified type. If not found returns null.

  Specified by:
    `findClosestStructure` in interface `IChunkProvider`

### getLoadedChunkCount

    public int getLoadedChunkCount()

  Specified by:
    `getLoadedChunkCount` in interface `IChunkProvider`

### func_82695_e

    public void func_82695_e(int par1,
                             int par2)

  Specified by:
    `func_82695_e` in interface `IChunkProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD